Doomsday Engine - Feature #1335

Random particle types
2004-03-15 16:27 - danij

Status: New Start date: 2004-03-15
Priority: Normal % Done: 0%
Assignee:
Target version: Rendering

Description

It would be extremely usefull if particle types could be
randomised within a generator. Using a random argument
in the first particle stage that is then copyied through

the rest of the stages till a different type is specified.
Obviously this would only apply for texture & model
particles.

EG:

Generator {

State = "TROO_XDIE2"
Flags = blendrsub | static
Speed = 18

Spawn age =4

Max age = 2260
Particles = 20

Spawn rate = 5

Vector rnd = 10

Init Vector Rnd = 6
Vector{.1012}

Stage {

Type = "pt_tex05"

TypeRnd = 3 // The type is selected at
random from the specified type + 3 (zero index)

Radius = 1
Color { .2 .2 1 .1 }
Tics = 4
Gravity = -.1
Resistance = .06

}

/I The following 2 stages have no type specified so the
random type chosen in stage 0 will be used

Stage { Radius = 2 Color { .2 .2 .2 .1 } Tics = 80 }
Stage { Radius = 5 Color { .2 1 1 .3 } Tics =1 }

Stage { Type = "pt_texll" // A type has been
specified so stop using the random type
Flags = vflat | flat
Radius = 20
Color { .21 1 .9 }
Tics = 10

}

Labels: Graphics

Related issues:
Related to Feature #1699: Particle renderer 2.0 New 2014-01-03
History

#1 - 2013-10-21 16:50 - skyjake
- Tags set to Particles, Definitions

- Subject changed from Random Particle Types to Random particle types

#2 - 2019-11-29 16:42 - skyjake
- Related to Feature #1699: Particle renderer 2.0 added

#3 - 2019-11-29 16:42 - skyjake
- Category set to Enhancement

- Target version set to Rendering
